<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns="http://xmlns.jcp.org/xml/ns/persistence"
             version="2.1" xsi:schemaLocation="
                http://xmlns.jcp.org/xml/ns/persistence
                http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">

    <persistence-unit name="AddrbookPU" transaction-type="JTA">
        <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
        <jta-data-source>java:jboss/datasources/AddressbookDS</jta-data-source>

        <class>hu.zth.comp.addrbook.model.BaseEntity</class>
        <class>hu.zth.comp.addrbook.model.Contact</class>
        <class>hu.zth.comp.addrbook.model.Person</class>
        <class>hu.zth.comp.addrbook.model.Company</class>
        <class>hu.zth.comp.addrbook.model.Email</class>
        <class>hu.zth.comp.addrbook.model.Address</class>
        <class>hu.zth.comp.addrbook.model.Stat</class>

        <properties>
            <property name="eclipselink.target-server" value="JBoss"/>
            <property name="eclipselink.jdbc.cache-statements" value="true"/>
            <property name="eclipselink.jdbc.batch-writing" value="JDBC"/>
            <property name="eclipselink.jdbc.batch-writing.size" value="1000"/>
            <property name="eclipselink.cache.shared.default" value="false"/>
            <property name="eclipselink.weaving" value="true"/>
            <property name="eclipselink.logging.level" value="FINE"/>
            <property name="eclipselink.logging.level.sql" value="FINE"/>
            <property name="eclipselink.logging.parameters" value="true"/>

            <property name="javax.persistence.schema-generation.database.action"
                      value="create"/>
            
            <property name="javax.persistence.schema-generation.create-source"
                      value="script"/>
            
            <property name="javax.persistence.schema-generation.create-script-source"
                      value="META-INF/addrbook-create.sql"/>
            
            <property name="javax.persistence.sql-load-script-source"
                      value="META-INF/addrbook-populate.sql"/>
        </properties>

    </persistence-unit>
</persistence>